Type.registerNamespace("Telerik.Web.UI.Spell");
Telerik.Web.UI.Spell.SpellDialog=function(_1){
Telerik.Web.UI.Spell.SpellDialog.initializeBase(this,[_1]);
this._clientParameters=null;
this._spell=null;
this._modeChangedHandler=null;
this._suggestionsDblClickHandler=null;
this._localization={};
this._spellProcessor=null;
this._contentDisplay=null;
this._serviceConfiguration=null;
this._serviceUrl=null;
this._windowClosingDelegate=null;
};
Telerik.Web.UI.Spell.SpellDialog.prototype={initialize:function(){
Telerik.Web.UI.Spell.SpellDialog.callBaseMethod(this,"initialize");
this.initChildControls();
},dispose:function(){
if(this._contentDisplay){
this._contentDisplay.remove_modeChanged(this._modeChangedHandler);
this._modeChangedHandler=null;
this._contentDisplay.remove_suggestionsDblClick(this._suggestionsDblClickHandler);
this._suggestionsDblClickHandler=null;
}
this._windowClosingDelegate=null;
Telerik.Web.UI.Spell.SpellDialog.callBaseMethod(this,"dispose");
},clientInit:function(_2){
this._suggestions.disabled=false;
this._suggestions.options.length=0;
this._suggestions.focus();
this._suggestions.disabled=true;
this.enableButton(this._cancel);
this.findChildElement("_TextContainer").innerHTML="";
this._clientParameters=_2;
this._spell=this._clientParameters.spell;
this._textSource=this._clientParameters.textSource;
if(!this._textSource||!this._textSource.get_text){
alert("This textsource does not support the get_text() method.");
return;
}
var _3=Telerik.Web.UI.Dialogs.CommonDialogScript.get_windowReference();
var _4=_3.BrowserWindow;
this._origFn=_4.Function._validateParams;
_4.Function._validateParams=new _4.Function();
Sys.Application.add_unload(Function.createDelegate(this,this.restoreFrameworkCode));
this._windowClosingDelegate=Function.createDelegate(this,this.prepareClose);
_3.add_close(this._windowClosingDelegate);
this._textToCheck=this.escapeNewLines(this._textSource.get_text());
var _5=this;
if(this._clientParameters.dictionaryLanguage){
this.get_service().set_language(this._clientParameters.dictionaryLanguage);
}
this.get_service().spellCheck(this._textToCheck);
},initChildControls:function(){
this._suggestions=this.findChildElement("_Suggestions");
this._ignore=this.getConfiguredButton("_Ignore",this.ignoreHandler);
this._ignoreAll=this.getConfiguredButton("_IgnoreAll",this.ignoreAllHandler);
this._addCustom=this.getConfiguredButton("_AddCustom",this.addCustomHandler);
this._change=this.getConfiguredButton("_Change",this.changeHandler);
this._changeAll=this.getConfiguredButton("_ChangeAll",this.changeAllHandler);
this._undo=this.getConfiguredButton("_Undo",this.undoHandler);
this._cancel=this.getConfiguredButton("_Cancel",this.cancelHandler);
},ignoreHandler:function(){
if(this._contentDisplay.get_editMode()){
this._contentDisplay.switchMode();
}else{
this._spellProcessor.ignore();
this.raiseOnClientWordIgnoredEvent(false);
this.moveForward();
}
},ignoreAllHandler:function(){
if(this._ignoreAll.disabled){
return;
}
this._spellProcessor.ignoreAll();
this.raiseOnClientWordIgnoredEvent(true);
this.moveForward();
},addCustomHandler:function(){
if(this._addCustom.disabled){
return;
}
var _6=this._spellProcessor.currentBadWord().wordString;
if(!confirm(this.get_localization()["AddWord1"]+_6+this.get_localization()["AddWord2"])){
return;
}
this.disableAllButtons();
var _7=this;
this.get_service().addCustomWord(_6);
},changeHandler:function(){
if(this._change.disabled){
return;
}
this.changeCurrentWord(this._contentDisplay.replacementWord());
},changeAllHandler:function(){
if(this._changeAll.disabled){
return;
}
if(this._spellProcessor.allWordsFixed()){
return;
}
this._spellProcessor.changeAll(this._contentDisplay.replacementWord());
this.raiseOnClientWordCorrectedEvent(true);
this.moveForward();
},undoHandler:function(){
if(this._undo.disabled){
return;
}
var _8=this._spellProcessor.lastActionBadWordStartCharOffsets();
this._spellProcessor.undo();
this.raiseOnClientActionUndoneEvent(_8);
this.processCurrentStep();
},cancelHandler:function(){
if(this._cancel.disabled){
return;
}
this.closeDialog(this._spellProcessor&&this._spellProcessor.textChanged()&&confirm(this.get_localization()["Confirm"]));
},disableButton:function(_9){
_9.disabled=true;
_9.className="buttonDisabled";
},enableButton:function(_a){
_a.disabled=false;
_a.className="button";
},setButtonEnabled:function(_b,_c){
if(_c){
this.enableButton(_b);
}else{
this.disableButton(_b);
}
},getConfiguredButton:function(_d,_e){
var _f=this.findChildElement(_d);
if(_f){
$addHandlers(_f,{click:_e},this);
_f.disabled=true;
}
return _f;
},findChildElement:function(_10){
return $get(this.get_id()+_10);
},get_service:function(){
if(this._service==null){
this._service=$create(Telerik.Web.UI.SpellCheckService,null,null,null);
this._service.set_configuration(this.get_serviceConfiguration());
this._service.set_url(this.get_serviceUrl());
this._service.add_complete(Function.createDelegate(this,this.spellCheckResponseReceived));
}
return this._service;
},changeCurrentWord:function(_11){
if(this._spellProcessor.allWordsFixed()){
return;
}
this._spellProcessor.change(_11);
this.raiseOnClientWordCorrectedEvent(false);
this.moveForward();
},moveForward:function(){
this._spellProcessor.moveToNextWord();
this.processCurrentStep();
},processCurrentStep:function(){
if(!this._spellProcessor.allWordsFixed()){
this.updateContent();
}else{
this.closeDialog(true);
}
},restoreFrameworkCode:function(){
if(null!=this._origFn){
var _12=Telerik.Web.UI.Dialogs.CommonDialogScript.get_windowReference().BrowserWindow;
_12.Function._validateParams=this._origFn;
this._origFn=null;
}
},prepareClose:function(_13){
if(null!=this._windowClosingDelegate){
var wnd=Telerik.Web.UI.Dialogs.CommonDialogScript.get_windowReference();
wnd.remove_close(this._windowClosingDelegate);
this._windowClosingDelegate=null;
this.restoreFrameworkCode();
}
this.disableAllButtons();
this.raiseDialogClosingEvents();
if(this._spellProcessor){
if(this._spellProcessor.allWordsFixed()){
this._spell.set_spellChecked(true);
}
if(_13){
this.applyChanges();
}
this._spellProcessor=null;
}
},closeDialog:function(_15){
this.prepareClose(_15);
this._spell.raiseEvent("clientDialogClosing",Sys.EventArgs.Empty);
Telerik.Web.UI.Dialogs.CommonDialogScript.get_windowReference().close();
},spellCheckResponseReceived:function(_16,_17){
if(_17.AddCustomWord){
var _18=this._spellProcessor.currentBadWord().wordString;
this._spellProcessor.processCustomWordAddition();
this.raiseOnClientCustomWordAddedEvent(_18);
this.processCurrentStep();
this.enableButton(this._cancel);
}else{
var _19={textToCheck:this._textToCheck,badWords:_17.badWords,wordOffsets:_17.wordOffsets};
this._spellProcessor=$create(Telerik.Web.UI.Spell.SpellProcessor,_19,null,null);
if(!this._spellProcessor.allWordsFixed()){
this.initContentDisplay();
this.updateContent();
}else{
this.closeDialog(true);
}
}
},escapeNewLines:function(_1a){
var _1b=_1a.replace(/\n/gi,"&nbsp;<telerikcr />");
_1b=_1b.replace(/\r/gi,"<teleriklf />");
return _1b;
},unEscapeNewLines:function(_1c){
var _1d=_1c.replace(/(&nbsp;)?<telerikcr\s*\/>/gi,"\n");
var _1d=_1d.replace(/<teleriklf\s*\/>/gi,"\r");
return _1d;
},updateContent:function(){
if(this._contentDisplay.get_editMode()){
this._contentDisplay.switchMode();
}
this._contentDisplay.showText(this._spellProcessor.currentErrorContent());
this.focusCurrentError();
this._contentDisplay.fillSuggestions(this._spellProcessor.currentSuggestions());
this.updateButtonStates();
},focusCurrentError:function(){
var _1e=document.getElementById(this._spellProcessor.highlightedElementId());
if(_1e&&!this._contentDisplay.get_editMode()){
this._contentDisplay.get_textContainer().scrollTop=_1e.offsetTop;
_1e.focus();
}
},disableAllButtons:function(){
this.disableButton(this._ignore);
this.disableButton(this._ignoreAll);
this.disableButton(this._change);
this.disableButton(this._changeAll);
this.disableButton(this._undo);
this.disableButton(this._cancel);
if(this._addCustom){
this.disableButton(this._addCustom);
}
},initContentDisplay:function(){
this._modeChangedHandler=Function.createDelegate(this,this.contentDisplay_modeChanged);
this._suggestionsDblClickHandler=Function.createDelegate(this,this.contentDisplay_suggestionsDblClick);
var _1f={localization:this.get_localization(),textContainer:this.findChildElement("_TextContainer"),textEditor:this.findChildElement("_TextEditor"),suggestions:this._suggestions};
var _20={modeChanged:this._modeChangedHandler,suggestionsDblClick:this._suggestionsDblClickHandler};
if(!this._contentDisplay){
this._contentDisplay=$create(Telerik.Web.UI.Spell.ContentDisplay,_1f,_20,null);
}
this._contentDisplay.focus();
},updateButtonStates:function(){
var _21=this._spellProcessor.currentSuggestions().length>0;
this.enableButton(this._ignore);
this.setButtonEnabled(this._ignoreAll,!this._contentDisplay.get_editMode());
this.setButtonEnabled(this._undo,this._spellProcessor.currentUndoAction()!=null);
this.setButtonEnabled(this._change,this._contentDisplay.get_editMode()||_21);
this.setButtonEnabled(this._changeAll,!this._contentDisplay.get_editMode()&&_21);
if(this._addCustom!=null){
this.setButtonEnabled(this._addCustom,!this._contentDisplay.get_editMode());
}
this._ignore.innerHTML=this._contentDisplay.get_editMode()?this.get_localization()["UndoEdit"]:this.get_localization()["Ignore"];
},contentDisplay_modeChanged:function(_22,_23){
var _24="";
if(_23.editMode){
_24=this._spellProcessor.currentBadWord().wordString;
}else{
_24=this._spellProcessor.currentErrorContent();
}
this.updateButtonStates();
this._contentDisplay.showText(_24);
this.focusCurrentError();
},contentDisplay_suggestionsDblClick:function(_25,_26){
if(this._spellProcessor.currentSuggestions().length>0){
this.changeCurrentWord(_26.selectedValue);
}else{
alert(this.get_localization()["Nosuggestions"]);
}
},applyChanges:function(){
this._textSource.set_text(this.unEscapeNewLines(this._spellProcessor._textToCheck));
},raiseDialogClosingEvents:function(){
if(this._spellProcessor&&this._spellProcessor.allWordsFixed()){
var _27={suppressCompleteMessage:false};
this._spell.raiseEvent("clientCheckFinished",_27);
if(!_27.suppressCompleteMessage){
alert(this.get_localization()["SpellCheckComplete"]);
}
}else{
this._spell.raiseEvent("clientCheckCancelled",Sys.EventArgs.Empty);
}
},raiseOnClientWordCorrectedEvent:function(_28){
var _29=this._spellProcessor.currentBadWord();
var _2a={originalWord:_29.originalWordString,newWord:_29.wordString,offsets:this._spellProcessor.lastActionBadWordStartCharOffsets(),changeAll:_28};
this._spell.raiseEvent("clientWordCorrected",_2a);
},raiseOnClientWordIgnoredEvent:function(_2b){
var _2c=this._spellProcessor.currentBadWord();
var _2d={ignoreWord:_2c.originalWordString,offsets:this._spellProcessor.lastActionBadWordStartCharOffsets(),ignoreAll:_2b};
this._spell.raiseEvent("clientWordIgnored",_2d);
},raiseOnClientActionUndoneEvent:function(_2e){
var _2f=this._spellProcessor.currentBadWord();
var _30={originalWord:_2f.originalWordString,offsets:_2e};
this._spell.raiseEvent("clientActionUndone",_30);
},raiseOnClientCustomWordAddedEvent:function(_31){
var _32={customWord:_31};
this._spell.raiseEvent("clientCustomWordAdded",_32);
},get_language:function(){
return this._language;
},set_language:function(_33){
this._language=_33;
},get_localization:function(){
return this._localization;
},set_localization:function(_34){
this._localization=_34;
},get_serviceUrl:function(){
return this._serviceUrl;
},set_serviceUrl:function(_35){
this._serviceUrl=_35;
},get_serviceConfiguration:function(){
return this._serviceConfiguration;
},set_serviceConfiguration:function(_36){
this._serviceConfiguration=_36;
}};
Telerik.Web.UI.Spell.SpellDialog.registerClass("Telerik.Web.UI.Spell.SpellDialog",Telerik.Web.UI.RadWebControl,Telerik.Web.IParameterConsumer);
Telerik.Web.UI.Spell.SpellProcessorActions=function(){
throw Error.invalidOperation();
};
Telerik.Web.UI.Spell.SpellProcessorActions.prototype={Change:0,ChangeAll:1,Ignore:2,IgnoreAll:4,AddCustom:8};
Telerik.Web.UI.Spell.SpellProcessorActions.registerEnum("Telerik.Web.UI.Spell.SpellProcessorActions",false);
Telerik.Web.UI.Spell.SpellProcessor=function(){
Telerik.Web.UI.Spell.SpellProcessor.initializeBase(this);
this._textToCheck=null;
this._badWords=null;
this._wordOffsets=null;
this._currentBadWordIndex=0;
this._undoActions=[];
this._surroundingWordsCount=10;
};
Telerik.Web.UI.Spell.SpellProcessor.prototype={initialize:function(){
Telerik.Web.UI.Spell.SpellProcessor.callBaseMethod(this,"initialize");
},dispose:function(){
Telerik.Web.UI.Spell.SpellProcessor.callBaseMethod(this,"dispose");
},moveToNextWord:function(){
var _37=this.nextBadWordIndex();
if(_37<0){
return;
}
this.set_currentBadWordIndex(_37);
},moveToPreviousWord:function(){
this.set_currentBadWordIndex(this.nextBadWordIndex(0));
},nextBadWordIndex:function(_38){
if(typeof (_38)=="undefined"){
_38=this.get_currentBadWordIndex();
}
for(var i=_38;i<this._badWords.length;i++){
if(this.getBadWord(i).originalWordString==null){
return i;
}
}
return -1;
},allWordsFixed:function(){
return this.nextBadWordIndex()<0;
},currentErrorContent:function(){
var _3a=this.currentBadWord();
return this.startString(this.get_currentBadWordIndex(),true)+"<a style='border-bottom: 1px dotted red;font-weight: bold;' id="+this.highlightedElementId()+">"+_3a.wordString+"</a>"+this.endString(this.get_currentBadWordIndex(),true);
},highlightedElementId:function(){
return "spell_highlight_"+this.currentBadWord().wordString;
},startString:function(_3b,_3c){
var _3d=0;
var _3e=this.getBadWord(_3b);
if(_3c&&(_3e.textOffset>this._surroundingWordsCount)){
var _3f=_3e.textOffset-this._surroundingWordsCount;
_3d=this._wordOffsets[_3f];
}
return this._textToCheck.substring(_3d,this.wordStartCharIndex(_3b));
},endString:function(_40,_41){
var _42=this._textToCheck.length;
var _43=this.getBadWord(_40);
if(_41&&(this._wordOffsets.length>_43.textOffset+this._surroundingWordsCount)){
var _44=_43.textOffset+this._surroundingWordsCount;
_42=this._wordOffsets[_44];
}
return this._textToCheck.substring(this.wordEndCharIndex(_40),_42);
},wordStartCharIndex:function(_45){
return this._wordOffsets[this.wordOffset(_45)];
},wordEndCharIndex:function(_46){
return this.wordStartCharIndex(_46)+this.getBadWord(_46).wordString.length;
},getBadWord:function(_47){
return this._badWords[_47];
},currentBadWord:function(){
return this.getBadWord(this.get_currentBadWordIndex());
},wordOffset:function(_48){
return this.getBadWord(_48).textOffset;
},currentWordOffset:function(){
return this.currentBadWord().textOffset;
},currentSuggestions:function(){
return this.currentBadWord().suggestionsString;
},ignore:function(){
this.changeWord(this.currentBadWord().wordString,Telerik.Web.UI.Spell.SpellProcessorActions.Ignore);
},ignoreAll:function(){
this.changeAllWords(this.currentBadWord().wordString,Telerik.Web.UI.Spell.SpellProcessorActions.IgnoreAll);
},change:function(_49){
this.changeWord(_49,Telerik.Web.UI.Spell.SpellProcessorActions.Change);
},changeAll:function(_4a){
this.changeAllWords(_4a,Telerik.Web.UI.Spell.SpellProcessorActions.ChangeAll);
},processCustomWordAddition:function(){
var _4b=this.sameWordStringBadWordIndexes();
for(var i=_4b.length-1;i>=0;i--){
var _4d=_4b[i];
this._badWords.splice(_4d,1);
}
this.moveToNextWord();
},changeWord:function(_4e,_4f){
var _50=[this.get_currentBadWordIndex()];
this.processChange(_50,_4e,false,_4f);
this.registerUndoStep(_50);
},changeAllWords:function(_51,_52){
var _53=this.sameWordStringBadWordIndexes();
this.processChange(_53,_51,false,_52);
this.registerUndoStep(_53);
},changeText:function(_54,_55){
this._textToCheck=this.startString(_54,false)+_55+this.endString(_54,false);
},offsetsByBadWordIndexes:function(_56){
var _57=[];
for(var i=0;i<_56.length;i++){
_57[_57.length]=this.wordOffset(_56[i]);
}
return _57;
},lastActionBadWordOffsets:function(){
var _59=this.currentUndoAction();
return this.offsetsByBadWordIndexes(_59);
},lastActionBadWordStartCharOffsets:function(){
var _5a=[];
var _5b=this.lastActionBadWordOffsets();
for(var i=0;i<_5b.length;i++){
_5a[_5a.length]=this._wordOffsets[_5b[i]];
}
return _5a;
},sameWordStringBadWordIndexes:function(){
var _5d=this.currentBadWord().wordString;
var _5e=[this.get_currentBadWordIndex()];
for(var _5f=this.get_currentBadWordIndex()+1;_5f<this._badWords.length;_5f++){
if(this.getBadWord(_5f).wordString==_5d){
_5e[_5e.length]=_5f;
}
}
return _5e;
},undo:function(){
var _60=this.currentUndoAction();
var _61=this.getBadWord(_60[0]).originalWordString;
this.processChange(_60,_61,true);
this.unregisterUndoStep();
this.moveToPreviousWord();
},correctWord:function(_62,_63,_64){
if(this.getBadWord(_62).originalWordString){
return;
}
var _65=this.getBadWord(_62);
_65.originalWordString=_65.wordString;
_65.wordString=_63;
_65.correctionAction=_64;
},restoreWord:function(_66){
var _67=this.getBadWord(_66);
_67.wordString=_67.originalWordString;
_67.originalWordString=null;
_67.correctionAction=null;
},processChange:function(_68,_69,_6a,_6b){
for(var i=0;i<_68.length;i++){
var _6d=_68[i];
var _6e=this.getBadWord(_6d);
var _6f=_69.length-_6e.wordString.length;
this.adjustOffsetsAfterChangedWord(_6e,_6f);
this.changeText(_6d,_69);
if(_6a){
this.restoreWord(_6d);
}else{
this.correctWord(_6d,_69,_6b);
}
}
},adjustOffsetsAfterChangedWord:function(_70,_71){
for(var _72=_70.textOffset+1;_72<this._wordOffsets.length;_72++){
this._wordOffsets[_72]+=_71;
}
},currentUndoAction:function(){
if(this._undoActions.length==0){
return null;
}
return this._undoActions[this._undoActions.length-1];
},registerUndoStep:function(_73){
this._undoActions[this._undoActions.length]=_73;
},unregisterUndoStep:function(){
this._undoActions=this._undoActions.slice(0,-1);
},textChanged:function(){
for(var i=0;i<this.get_currentBadWordIndex();i++){
var _75=this.getBadWord(i).correctionAction;
if(_75==Telerik.Web.UI.Spell.SpellProcessorActions.Change||_75==Telerik.Web.UI.Spell.SpellProcessorActions.ChangeAll){
return true;
}
}
return false;
},get_currentBadWordIndex:function(){
return this._currentBadWordIndex;
},set_currentBadWordIndex:function(_76){
this._currentBadWordIndex=_76;
},get_textToCheck:function(){
return this._textToCheck;
},set_textToCheck:function(_77){
this._textToCheck=_77;
},get_badWords:function(){
return this._badWords;
},set_badWords:function(_78){
this._badWords=_78;
},get_wordOffsets:function(){
return this._wordOffsets;
},set_wordOffsets:function(_79){
this._wordOffsets=_79;
}};
Telerik.Web.UI.Spell.SpellProcessor.registerClass("Telerik.Web.UI.Spell.SpellProcessor",Sys.Component);
Telerik.Web.UI.Spell.ContentDisplay=function(){
Telerik.Web.UI.Spell.ContentDisplay.initializeBase(this);
this._editMode=false;
this._textContainer=null;
this._textEditor=null;
this._suggestions=null;
this._localization=null;
};
Telerik.Web.UI.Spell.ContentDisplay.prototype={initialize:function(){
Telerik.Web.UI.Spell.ContentDisplay.callBaseMethod(this,"initialize");
$addHandlers(this.get_textContainer(),{click:this.switchMode},this);
this.get_suggestions().disabled=false;
$addHandlers(this.get_suggestions(),{dblclick:this.suggestionsDblClick},this);
},dispose:function(){
$clearHandlers(this.get_suggestions());
$clearHandlers(this.get_textContainer());
this._textContainer=null;
this._textEditor=null;
this._suggestions=null;
this._localization=null;
Telerik.Web.UI.Spell.ContentDisplay.callBaseMethod(this,"dispose");
},showText:function(_7a){
if(this.get_editMode()){
this.get_textEditor().value=_7a;
}else{
this.get_textContainer().innerHTML=_7a;
}
},focus:function(){
if(this.get_editMode()){
this.get_textEditor().focus();
}else{
if(this.get_suggestions().disabled){
this.get_suggestions().disabled=false;
}
this.get_suggestions().focus();
}
},switchMode:function(){
this.set_editMode(!this.get_editMode());
if(this.get_editMode()){
this.get_textContainer().style.display="none";
this.get_textEditor().style.display="block";
this.get_textEditor().focus();
this.get_suggestions().disabled=true;
}else{
this.get_textContainer().style.display="";
this.get_textEditor().style.display="none";
this.get_suggestions().disabled=false;
}
this.raiseEvent("modeChanged",{editMode:this.get_editMode()});
this.focus();
},replacementWord:function(){
if(this.get_editMode()){
return this.get_textEditor().value;
}else{
return this.selectedSuggestion();
}
},selectedSuggestion:function(){
return this.get_suggestions().options[this.get_suggestions().selectedIndex].value;
},fillSuggestions:function(_7b){
this.clearSuggestions();
if(_7b.length>0){
for(var i=0;i<_7b.length;i++){
this.addSuggestion(_7b[i]);
}
}else{
this.addSuggestion(this.get_localization()["Nosuggestions"]);
}
this.get_suggestions().selectedIndex=0;
},clearSuggestions:function(){
this.get_suggestions().options.length=0;
},addSuggestion:function(_7d){
this.get_suggestions().options[this.get_suggestions().options.length]=new Option(_7d,_7d);
},suggestionsDblClick:function(){
this.raiseEvent("suggestionsDblClick",{selectedValue:this.selectedSuggestion()});
},raiseEvent:function(_7e,_7f){
var _80=this.get_events().getHandler(_7e);
if(_80){
if(!_7f){
_7f=Sys.EventArgs.Empty;
}
_80(this,_7f);
}
},add_modeChanged:function(_81){
this.get_events().addHandler("modeChanged",_81);
},remove_modeChanged:function(_82){
this.get_events().removeHandler("modeChanged",_82);
},add_suggestionsDblClick:function(_83){
this.get_events().addHandler("suggestionsDblClick",_83);
},remove_suggestionsDblClick:function(_84){
this.get_events().removeHandler("suggestionsDblClick",_84);
},set_localization:function(_85){
this._localization=_85;
},get_localization:function(){
return this._localization;
},set_suggestions:function(_86){
this._suggestions=_86;
},get_suggestions:function(){
return this._suggestions;
},set_textContainer:function(_87){
this._textContainer=_87;
},get_textContainer:function(){
return this._textContainer;
},set_editMode:function(_88){
this._editMode=_88;
},get_editMode:function(){
return this._editMode;
},set_textEditor:function(_89){
this._textEditor=_89;
},get_textEditor:function(){
return this._textEditor;
}};
Telerik.Web.UI.Spell.ContentDisplay.registerClass("Telerik.Web.UI.Spell.ContentDisplay",Sys.Component);

